chroot . /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ > /dev/null 2>&1
chroot . /usr/bin/gio-querymodules /usr/lib64/gio/modules/ > /dev/null 2>&1
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [[ ! -r $OLD ]]; then
    mv $NEW $OLD
  elif [[ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/pulse/default.pa.new
config etc/pulse/system.pa.new
config etc/pulse/daemon.conf.new
config etc/pulse/client.conf.new
config etc/xdg/autostart/pipewire.desktop.new
config etc/security/limits.d/25-pw-rlimits.conf.new
( cd etc ; rm -rf pipewire )
( cd etc ; ln -sf ../usr/share/pipewire pipewire )
( cd etc ; rm -rf wireplumber )
( cd etc ; ln -sf ../usr/share/wireplumber wireplumber )
( cd usr/bin ; rm -rf pamon )
( cd usr/bin ; ln -sf pacat pamon )
( cd usr/bin ; rm -rf paplay )
( cd usr/bin ; ln -sf pacat paplay )
( cd usr/bin ; rm -rf parec )
( cd usr/bin ; ln -sf pacat parec )
( cd usr/bin ; rm -rf parecord )
( cd usr/bin ; ln -sf pacat parecord )
( cd usr/bin ; rm -rf pipewire-aes67 )
( cd usr/bin ; ln -sf pipewire pipewire-aes67 )
( cd usr/bin ; rm -rf pipewire-avb )
( cd usr/bin ; ln -sf pipewire pipewire-avb )
( cd usr/bin ; rm -rf pipewire-pulse )
( cd usr/bin ; ln -sf pipewire pipewire-pulse )
( cd usr/bin ; rm -rf pw-dsdplay )
( cd usr/bin ; ln -sf pw-cat pw-dsdplay )
( cd usr/bin ; rm -rf pw-encplay )
( cd usr/bin ; ln -sf pw-cat pw-encplay )
( cd usr/bin ; rm -rf pw-midiplay )
( cd usr/bin ; ln -sf pw-cat pw-midiplay )
( cd usr/bin ; rm -rf pw-midirecord )
( cd usr/bin ; ln -sf pw-cat pw-midirecord )
( cd usr/bin ; rm -rf pw-play )
( cd usr/bin ; ln -sf pw-cat pw-play )
( cd usr/bin ; rm -rf pw-record )
( cd usr/bin ; ln -sf pw-cat pw-record )
( cd usr/lib64 ; rm -rf libpipewire-0.3.so )
( cd usr/lib64 ; ln -sf libpipewire-0.3.so.0 libpipewire-0.3.so )
( cd usr/lib64 ; rm -rf libpipewire-0.3.so.0 )
( cd usr/lib64 ; ln -sf libpipewire-0.3.so.0.1100.0 libpipewire-0.3.so.0 )
( cd usr/lib64 ; rm -rf libpulse-mainloop-glib.so )
( cd usr/lib64 ; ln -sf libpulse-mainloop-glib.so.0 libpulse-mainloop-glib.so )
( cd usr/lib64 ; rm -rf libpulse-mainloop-glib.so.0 )
( cd usr/lib64 ; ln -sf libpulse-mainloop-glib.so.0.0.6 libpulse-mainloop-glib.so.0 )
( cd usr/lib64 ; rm -rf libpulse-simple.so )
( cd usr/lib64 ; ln -sf libpulse-simple.so.0 libpulse-simple.so )
( cd usr/lib64 ; rm -rf libpulse-simple.so.0 )
( cd usr/lib64 ; ln -sf libpulse-simple.so.0.1.1 libpulse-simple.so.0 )
( cd usr/lib64 ; rm -rf libpulse.so )
( cd usr/lib64 ; ln -sf libpulse.so.0 libpulse.so )
( cd usr/lib64 ; rm -rf libpulse.so.0 )
( cd usr/lib64 ; ln -sf libpulse.so.0.24.3 libpulse.so.0 )
( cd usr/lib64 ; rm -rf libwireplumber-0.5.so )
( cd usr/lib64 ; ln -sf libwireplumber-0.5.so.0 libwireplumber-0.5.so )
( cd usr/lib64 ; rm -rf libwireplumber-0.5.so.0 )
( cd usr/lib64 ; ln -sf libwireplumber-0.5.so.0.502.0 libwireplumber-0.5.so.0 )
( cd usr/share/bash-completion/completions ; rm -rf pacat )
( cd usr/share/bash-completion/completions ; ln -sf pactl pacat )
( cd usr/share/bash-completion/completions ; rm -rf pacmd )
( cd usr/share/bash-completion/completions ; ln -sf pactl pacmd )
( cd usr/share/bash-completion/completions ; rm -rf padsp )
( cd usr/share/bash-completion/completions ; ln -sf pactl padsp )
( cd usr/share/bash-completion/completions ; rm -rf paplay )
( cd usr/share/bash-completion/completions ; ln -sf pactl paplay )
( cd usr/share/bash-completion/completions ; rm -rf parec )
( cd usr/share/bash-completion/completions ; ln -sf pactl parec )
( cd usr/share/bash-completion/completions ; rm -rf parecord )
( cd usr/share/bash-completion/completions ; ln -sf pactl parecord )
( cd usr/share/bash-completion/completions ; rm -rf pasuspender )
( cd usr/share/bash-completion/completions ; ln -sf pactl pasuspender )
( cd usr/share/bash-completion/completions ; rm -rf pulseaudio )
( cd usr/share/bash-completion/completions ; ln -sf pactl pulseaudio )
